<?php
/*
  欢迎使用DM企业建站系统，本系统由www.demososo.com开发。
*/
if(!defined('IN_DEMOSOSO')) {
  exit('this is wrong page,please back to homepage');
}

?>
<h3 class="sidebartitle">列管理</h3> 
<?php

 //mod_blockdh.php?lang=cn&catpid=cate20160707_0437114782&page=0&catid=csub20160707_0904417537
 $sd_sql_22 = "SELECT * from ".TABLE_COLUMN." where pid='$pid' and type='$type'   $andlangbh order by pos desc,id";


 $sd_rowlist_22 = getall($sd_sql_22);
    if($sd_rowlist_22 == 'no')  echo '无内容';
    else {
  ?>
 
<ul class="sidebarnew">

  <?php
      foreach($sd_rowlist_22 as $v){

$sd_pidname=$v['pidname'];
$sd_name=$v['name'];
$sd_tid=$v['id']; 
$sd_floattype=$v['floattype'];
$sd_onlyposi=$v['onlyposi'];



$jumpv='';

            // menu_changesta($sta_visi_v,$jumpv,$tidhere22,'sta_menu');
$sd_active1 = $sd_active2 = '';

 if($pidname==$sd_pidname) $sd_active1 = 'class="active"';
 if($sd_tid==$tid) $sd_active2 = 'class="active"';
    

  //mod_column.php?lang=cn&pid=group20160509_1200413359&type=group&file=editcnt&pidname=colu20170914_1755204518
      $sd_link_cfg = 'mod_column.php?lang='.LANG.'&pid='.$pid.'&type='.$type.'&file=addedit&&act=edit&tid='.$sd_tid;
      $sd_link_cnt = 'mod_column.php?lang='.LANG.'&pid='.$pid.'&type='.$type.'&file=editcnt&pidname='.$sd_pidname;



 $sd_edit_cnt='<p '.$sd_active1.'> <i class="fa fa-angle-right"></i> <a  href="'.$sd_link_cnt.'">编辑内容</a></p>';
 $sd_edit_cfg='<p '.$sd_active2.'><a  href="'.$sd_link_cfg.'"><i class="fa fa-pencil-square-o"></i>配置</a></p>';

 $sd_other1 = $sd_other2 = '';
if($sd_floattype=='clear') {
  $sd_other1='<br />清浮动';
  $sd_edit_cnt = '';
}
if($sd_onlyposi=='y') {
   $sd_other2='<br />无内容，只占位置';
   $sd_edit_cnt = '';
  }

    ?>

<li><i class="fa fa-angle-right"></i> 
<?php 
echo '<strong>'.$sd_name.'</strong>';
echo $sd_other1.$sd_other2;
echo $sd_edit_cnt;
echo $sd_edit_cfg;


?>




</li>

 <?php


    } ?>
</ul>


 <?php


    } ?>
